Subject: Re: [RFC/PATCH 4/16] Abstract MSI suspend

From: Grant Grundler <[email-masked]>
Date: Mon, 29 Jan 2007 15:03:46 -0700

On Mon, Jan 29, 2007 at 08:57:53AM -0800, Roland Dreier wrote:
>  > laptops now come with 1000BT chips that _do_ support MSI-X.
> 
> Really?  Which gigE chips are using MSI-X (as opposed to MSI)?

Sorry, I was thinking MSI (not MSI-X).
The point was that MSI will need suspend/resume support.

> (I am using MSI with e1000 on my laptop, but I've not seen any NICs
> other than 10-gigE NICs that even have an MSI-X capability -- none of
> the e1000, tg3 or bnx2 devices I have around have it at least)

yes - same here.  gige NICs don't need MSI-X if they can use MSI.

thanks,
grant
 
>  - R.